Ship qtdeclarative5-xmllistmodel-plugin and libqt5qml-graphicaleffects by default

Bug #1490618 reported by Nikola Snele on 2015-08-31
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Medium
Unassigned
kubuntu-meta (Ubuntu)
Medium
Unassigned

Bug Description

Plasma 5 plasmoids from kde-look don't work without qtdeclarative5-xmllistmodel-plugin and libqt5qml-graphicaleffects packages installed.

Please ship them by default.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: kubuntu-settings-desktop 1:15.04ubuntu2
ProcVersionSignature: Ubuntu 4.1.0-3.3-generic 4.1.3
Uname: Linux 4.1.0-3-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.18-0ubuntu9
Architecture: amd64
CurrentDesktop: KDE
Date: Mon Aug 31 17:51:47 2015
InstallationDate: Installed on 2015-08-28 (3 days ago)
InstallationMedia: Kubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150828)
PackageArchitecture: all
SourcePackage: kubuntu-settings
UpgradeStatus: No upgrade log present (probably fresh install)

Nikola Snele (n-schnelle) wrote :
Jonathan Riddell (jr) on 2015-09-24
Changed in kubuntu-settings (Ubuntu):
milestone: none → ubuntu-15.08
tags: added: kubuntu
Jonathan Riddell (jr) wrote :

this needs upstream work to make it work for any missing qml module. plasmoids should list the modules they need and the installer should use packagekit to install them

Changed in kubuntu-settings (Ubuntu):
milestone: ubuntu-15.08 → ubuntu-15.10
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kubuntu-settings (Ubuntu):
status: New → Confirmed
Changed in kubuntu-settings (Ubuntu):
importance: Undecided → Medium
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → Medium

Suggestion: -> Milestone 16.04

finds mentioning in RN 15.10 (very bottom): http://kubuntu.org/news/kubuntu-15-10

tags: added: vivid
Philip Muškovac (yofel) on 2016-01-20
Changed in kubuntu-settings (Ubuntu):
milestone: ubuntu-15.10 → ubuntu-16.04
Philip Muškovac (yofel) on 2016-01-27
affects: kubuntu-settings (Ubuntu) → kubuntu-meta (Ubuntu)
Changed in kubuntu-meta (Ubuntu):
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kubuntu-meta - 1.334

---------------
kubuntu-meta (1.334) xenial; urgency=medium

  * Add s390x.
  * Don't build any meta packages for s390x

kubuntu-meta (1.333) xenial; urgency=medium

  * Refreshed dependencies
  * Added fwupdate to desktop-recommends [amd64 arm64 armhf i386]
  * Added libqt5qml-graphicaleffects to desktop-recommends, full-
    recommends (LP: #1490618)
  * Added qtdeclarative5-xmllistmodel-plugin to desktop-recommends, full-
    recommends (LP: #1490618)
  * Removed fonts-droid from desktop-recommends, full-recommends

kubuntu-meta (1.332) xenial; urgency=medium

  * Refreshed dependencies
  * Added gtk3-engines-breeze to desktop-recommends, full-recommends
  * Added kde-spectacle to desktop, full
  * Added libpam-kwallet4 to desktop-recommends, full-recommends
  * Added libpam-kwallet5 to desktop-recommends, full-recommends
  * Added pinentry-qt to desktop-recommends [arm64 armhf powerpc
    ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed about-distro from desktop-recommends [arm64 armhf powerpc
    ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed gtk3-engines-oxygen from desktop-recommends [arm64 armhf
    powerpc ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed ksnapshot from desktop [arm64 armhf powerpc ppc64el], full
    [arm64 armhf powerpc ppc64el]
  * Removed pam-kwallet4 from desktop-recommends [arm64 armhf powerpc
    ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed pam-kwallet5 from desktop-recommends [arm64 armhf powerpc
    ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed pinentry-qt4 from desktop-recommends [arm64 armhf powerpc
    ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed plasma-widget-kimpanel from desktop-recommends [arm64 armhf
    powerpc ppc64el], full-recommends [arm64 armhf powerpc ppc64el]
  * Removed ttf-indic-fonts-core from desktop-recommends [arm64 armhf
    powerpc ppc64el]
  * Xenial upload.

 -- Philip Muškovac <email address hidden> Mon, 21 Mar 2016 16:09:12 +0100

Changed in kubuntu-meta (Ubuntu):
status: Triaged → Fix Released
Changed in hundredpapercuts:
status: Confirmed → Fix Released
tags: added: xenial
tags: removed: vivid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers